Subject: bug#50470: 27.1; 'company-mode' 'eshell'

From: Christophe <[email-masked]>
Date: Fri, 10 Sep 2021 07:11:52 +0200

I used something like this in the 26.1 (I've found in a site stackoverflow or stackexchange):

(defun my-eshell-remove-pcomplete ()
  "Remove anoying tab insert when no completion found by company."
  (remove-hook 'completion-at-point-functions #'pcomplete-completions-at-point t))

(add-hook 'eshell-mode-hook #'my-eshell-remove-pcomplete)

And like yours, actually if I use this I have no more autocompletion in eshell.
(Except fore the path if that start by ./)

So I have to add this now:

(add-hook 'eshell-mode-hook
  (lambda () 
    (define-key eshell-mode-map (kbd "<tab>")
      (lambda () (interactive) (pcomplete-std-complete)))))

But that's less efficient.
(except for the wildcards and the blank spaces that's appears after single and
double quotes)

Thanks for the time spent on this, at least I have no more blank
spaces/wildcards issues and I can use the tab for the autocompletion.

-- 
Christophe BOLLARD